/* Part of Misnamed Filter (see Misnamed Filter.cpp)
 * by Alex Vallat <www.byalexv.co.uk>
 */
#pragma once

#include "AddressSet.h"

using namespace System;
using namespace System::Collections::Generic;

namespace MisnamedFilter
{
	ref class Settings
	{
	public:
		Settings(void);
		void Reload();
		void Save();
		List<AddressSet^>^ AddressSets;
		bool AutoLearn;
		static String^ GetSettingsFolder();
	private:
		static String^ GetFileName();
	};
}